GHSA-w745-xjqx-7wp8

Suggest an improvement
Source
https://github.com/advisories/GHSA-w745-xjqx-7wp8
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/07/GHSA-w745-xjqx-7wp8/GHSA-w745-xjqx-7wp8.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-w745-xjqx-7wp8
Aliases
Published
2023-07-06T19:24:11Z
Modified
2024-02-16T08:23:14.009899Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Artesãos SEOTools Open Redirect vulnerability
Details

A vulnerability has been found in Artesãos SEOTools up to and including version 0.17.1. This vulnerability affects the function setTitle of the file SEOMeta.php. The manipulation of the argument title leads to open redirect. Upgrading to version 0.17.2 is able to address this issue. The name of the patch is ca27cd0edf917e0bc805227013859b8b5a1f01fb. It is recommended to upgrade the affected component.

References

Affected packages

Packagist / artesaos/seotools

Package

Name
artesaos/seotools
Purl
pkg:composer/artesaos/seotools

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.17.2

Affected versions

0.*

0.2-beta
0.3-beta
0.4-beta
0.4
0.4.1
0.10.0

v0.*

v0.6
v0.7.1
v0.7.2
v0.7.3
v0.7.3.1
v0.7.3.2
v0.7.3.3
v0.7.3.4
v0.7.3.5
v0.7.3.6
v0.7.4
v0.8.0
v0.8.1
v0.8.2
v0.9.0
v0.9.1
v0.9.2
v0.11.0-beta1
v0.11.1
v0.12.0
v0.12.1
v0.12.2
v0.13.0
v0.14.0
v0.15.0
v0.16.0
v0.17.0
v0.17.1